<!-- manual page source format generated by PolyglotMan v3.2, -->
<!-- available at http://polyglotman.sourceforge.net/ -->

<html>
<head>
<title>PSTOPS(1) manual page</title>
</head>
<body bgcolor='white'>
<a href='#toc'>Table of Contents</a><p>

<h2><a name='sect0' href='#toc0'>Name</a></h2>
pstops - shuffle pages in a PostScript file 
<h2><a name='sect1' href='#toc1'>Synopsis</a></h2>
<b>pstops</b> [ <b>-q</b> ] [ <b>-b</b>
] [ <b>-w<i>width</i></b> ] [ <b>-h<i>height</i></b> ] [ <b>-p<i>paper</i></b> ] [ <b>-d<i>lwidth</i></b> ] <i>pagespecs</i> [ <i>infile</i> [ <i>outfile</i>
] ] 
<h2><a name='sect2' href='#toc2'>Description</a></h2>
<i>Pstops</i> rearranges pages from a PostScript document, creating
a new PostScript file. The input PostScript file should follow the Adobe
Document Structuring Conventions. <i>Pstops</i> can be used to perform a large
number of arbitrary re-arrangements of Documents, including arranging for
printing 2-up, 4-up, booklets, reversing, selecting front or back sides of
documents, scaling, etc. <p>
<i>pagespecs</i> follow the syntax: <blockquote>
<dl>

<dt><i>pagespecs</i> </dt>
<dd><i>=</i> [modulo:]specs
</dd>

<dt><i>specs</i> </dt>
<dd><i>=</i> spec[+specs][,specs] </dd>

<dt><i>spec</i> </dt>
<dd><i>=</i> [-]pageno[L][R][U][H][V][@scale][(xoff,yoff)]
</dd>
</dl>
</blockquote>
<p>
<i>modulo</i> is the number of pages in each block. The value of <i>modulo</i> should
be greater than 0; the default value is 1. <i>specs</i> are the page specifications
for the pages in each block. The value of the <i>pageno</i> in each <i>spec</i> should
be between 0 (for the first page in the block) and <i>modulo</i>-1 (for the last
page in each block) inclusive. The optional dimensions <i>xoff</i> and <i>yoff</i> shift
the page by the specified amount. <i>xoff</i> and <i>yoff</i> are in PostScript&rsquo;s points,
but may be followed by the units <b>cm</b> or <b>in</b> to convert to centimetres or
inches, or the flag <b>w</b> or <b>h</b> to specify as a multiple of the width or height.
The optional parameters <i>L</i>, <i>R</i>, <i>U</i>, <i>H</i> and <i>V</i> rotate the page left, right, or
upside-down, and flip (mirror) page horizontally or vertically. The optional
<i>scale</i> parameter scales the page by the fraction specified. If the optional
minus sign is specified, the page is relative to the end of the document,
instead of the start. 
<p> If page <i>spec</i>s are separated by <b>+</b> the pages will be
merged into one page; if they are separated by <b>,</b> they will be on separate
pages. If there is only one page specification, with <i>pageno</i> zero, the <i>pageno</i>
may be omitted. 
<p> The shift, rotation, and scaling are applied to the PostScript
transformation matrix in that order regardless of which order they appear
on the command line. The matrix accumulates the individual transformations.
The effect on the image is to first scale with respect to an origin at
the lower left corner, then rotate about the same origin, and finally shift.
<p>
The <i>-w</i> option gives the width which is used by the <b>w</b> dimension specifier,
and the <i>-h</i> option gives the height which is used by the <b>h</b> dimension specifier.
These dimensions are also used (after scaling) to set the clipping path
for each page. The  <i>-p</i> option can be used as an alternative, to set the paper
size to <b>a0, a1, a2, a3, a4, a5, b5, letter, legal, tabloid, statement,</b>
executive, folio, quarto or <b>10x14.</b> The default paper size is <b>@PAPER@.</b> <p>
The
<i>-b</i> option prevents any <b>bind</b> operators in the PostScript prolog from binding.
This may be needed in cases where complex multi-page re-arrangements are
being done. <p>
The <i>-d</i> option draws a line around the border of each page, of
the specified width. If the <i>lwidth</i> parameter is omitted, a default linewidth
of 1 point is assumed. The linewidth is relative to the original page dimensions,
<i>i.e.</i> it is scaled up or down with the rest of the page. <p>
Pstops normally prints
the page numbers of the pages re-arranged; the <i>-q</i> option suppresses this.

<h2><a name='sect3' href='#toc3'>Examples</a></h2>
This section contains some sample re-arrangements. To put two pages
on one sheet (of A4 paper), the pagespec to use is: <p>
<center></center>"2:0L@.7(21cm,0)+1L@.7(21cm,14.85cm)"
<p>
To select all of the odd pages in reverse order, use: <p>
<center></center>2:-0 <p>
To re-arrange
pages for printing 2-up booklets, use <p>
<center></center>"4:-3L@.7(21cm,0)+0L@.7(21cm,14.85cm)"
<p>
for the front sides, and <p>
<center></center>"4:1L@.7(21cm,0)+-2L@.7(21cm,14.85cm)" <p>
for the reverse
sides (or join them with a comma for duplex printing). 
<h2><a name='sect4' href='#toc4'>Author</a></h2>
Copyright (C)
Angus J. C. Duggan 1991-1995 
<h2><a name='sect5' href='#toc5'>See Also</a></h2>
@MAN@ 
<h2><a name='sect6' href='#toc6'>Trademarks</a></h2>
<b>PostScript</b> is a trademark
of Adobe Systems Incorporated. 
<h2><a name='sect7' href='#toc7'>Bugs</a></h2>
<i>Pstops</i> does not accept all DSC comments.
<p>

<hr><p>
<a name='toc'><b>Table of Contents</b></a><p>
<ul>
<li><a name='toc0' href='#sect0'>Name</a></li>
<li><a name='toc1' href='#sect1'>Synopsis</a></li>
<li><a name='toc2' href='#sect2'>Description</a></li>
<li><a name='toc3' href='#sect3'>Examples</a></li>
<li><a name='toc4' href='#sect4'>Author</a></li>
<li><a name='toc5' href='#sect5'>See Also</a></li>
<li><a name='toc6' href='#sect6'>Trademarks</a></li>
<li><a name='toc7' href='#sect7'>Bugs</a></li>
</ul>
</body>
</html>
